Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TiPullXmlDeclaration Class Reference

`#include <tinyxml.h>`

Inheritance diagram for TiPullXmlDeclaration:

[legend]
Collaboration diagram for TiPullXmlDeclaration:

[legend]
List of all members.

## Public Member Functions
| TiPullXmlDeclaration ()
| Construct an empty declaration.
| TiPullXmlDeclaration (const char *_version, const char *_encoding, const char *_standalone)
| Construct.
virtual | ~TiPullXmlDeclaration ()
const char * | Version () const
| Version. Will return empty if none was found.
const char * | Encoding () const
| Encoding. Will return empty if none was found.
const char * | Standalone () const
| Is this a standalone document?
virtual void | Print (FILE *cfile, int depth) const
## Protected Member Functions
virtual void | StreamOut (TiXmlOutStream *out) const
virtual bool | Parse (ParsePosition in, const char *&out, bool throwaway)
## Private Attributes
TiXmlString | version
TiXmlString | encoding
TiXmlString | standalone

## Detailed Description

In correct XML the declaration is the first entry in the file.

    		<?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.

## Constructor & Destructor Documentation

TiPullXmlDeclaration::TiPullXmlDeclaration | ( |  | ) | `[inline]`

| Construct an empty declaration.

TiPullXmlDeclaration::TiPullXmlDeclaration | ( | const char * | _version,
|  | const char * | _encoding,
|  | const char * | _standalone
| ) |

| Construct.

virtual TiPullXmlDeclaration::~TiPullXmlDeclaration | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

const char* TiPullXmlDeclaration::Encoding | ( |  | ) | const`[inline]`

| Encoding. Will return empty if none was found.

bool TiPullXmlDeclaration::Parse | ( | ParsePosition | in,
|  | const char *& | out,
|  | bool | throwaway
| ) | `[protected, virtual]`

| Implements TiPullXmlBase.

void TiPullXmlDeclaration::Print | ( | FILE * | cfile,
|  | int | depth
| ) | const`[virtual]`

| All TinyXml classes can print themselves to a filestream. This is a formatted print, and will insert tabs and newlines. (For an unformatted stream, use the << operator.) Implements TiPullXmlBase.

const char* TiPullXmlDeclaration::Standalone | ( |  | ) | const`[inline]`

| Is this a standalone document?

void TiPullXmlDeclaration::StreamOut | ( | TiXmlOutStream * | out | ) | const`[protected, virtual]`

| Implements TiPullXmlBase.

const char* TiPullXmlDeclaration::Version | ( |  | ) | const`[inline]`

| Version. Will return empty if none was found.

## Member Data Documentation

TiXmlString TiPullXmlDeclaration::encoding`[private]`

TiXmlString TiPullXmlDeclaration::standalone`[private]`

TiXmlString TiPullXmlDeclaration::version`[private]`

The documentation for this class was generated from the following files:

- pull/tinyxml.h
- pull/tinyxml.cpp
- pull/tinyxmlparser.cpp